Discover by Brand
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"brand_url": "<string>",
"num_of_products": 123
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"brand_url": "<string>",
"num_of_products": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{brand_url: '<string>', num_of_products: 123}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "Smart Fitness Tracker with Heart Rate Monitor",
"url": "https://www.amazon.com/dp/B0D55667AB",
"asin": "B0D55667AB",
"price": 49.99,
"currency": "USD",
"rating": 4.3,
"reviews_count": 9800,
"seller_name": "FitTech Official",
"brand": "FitTech",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-brand.jpg",
"description": "Slim fitness tracker with continuous heart rate monitoring and sleep tracking.",
"category": "Electronics > Wearables > Fitness Trackers",
"country_domain": "amazon.com"
}
]
Amazon
Discover by brand
Use the Bright Data Web Scraper API to discover by Brand. POST /datasets/v3/scrape starts a job that returns structured product records as JSON.
POST
/
datasets
/
v3
/
scrape
Discover by Brand
Query Parameters
The dataset ID used for this request.
Must be set to
gd_lwhideng15g8jg63s7 to collect Discover by Brand data.Must be set to
discover_new.Must be set to
brand.Whether to send notifications when the request is completed.
Whether to include errors in the response.
Request Body
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{
"brand_url": "https://www.amazon.com/stores/BrandName/page/12345678-ABCD-1234-EFGH-123456789012",
"num_of_products": 20
}
]
}
[
{
"title": "Smart Fitness Tracker with Heart Rate Monitor",
"url": "https://www.amazon.com/dp/B0D55667AB",
"asin": "B0D55667AB",
"price": 49.99,
"currency": "USD",
"rating": 4.3,
"reviews_count": 9800,
"seller_name": "FitTech Official",
"brand": "FitTech",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-brand.jpg",
"description": "Slim fitness tracker with continuous heart rate monitoring and sleep tracking.",
"category": "Electronics > Wearables > Fitness Trackers",
"country_domain": "amazon.com"
}
]
Was this page helpful?
⌘I